#include <Wire.h>       // I2C-Library

double f_ini=91.2;        // Стартовая частота настройки приемника в МГц. (Изменяем на нужную).

void setup()                 // Инициализация.
{
  Wire.begin();              // Инициализация двухпроводной шины I2C.
  setFrequency(f_ini);   // Вызываем фукнкцию загрузки частоты настройки в модуль EM5807M.
}

void loop()                   // Основной цикл программы
{
  // Здесь можем написать нашу самую лучшую программу, которая будет работать так, как нам нужно.
}
  
void setFrequency(double fmhz)              // Функция загрузки частоты настройки в модуль EM5807M.
{
  int  frequencyB = 4 * (fmhz * 1000000 + 225000) / 32768;
  char frequencyH = frequencyB >> 8;    // Старший байт.
  char frequencyL = frequencyB & 0XFF;
// Накладываем маску 0xFF на младший байт.
  Wire.beginTransmission(0x60);          // Адрес чипа RDA5807M
  Wire.write(frequencyH);                      // Старший байт.
  Wire.write(frequencyL);                      // Младший байт.
  Wire.write(0xB8);                              // 1011 1000     = Стерео
  Wire.write(0x10);                              // 0001 0000
  Wire.write((byte)0x00);                     // 
  Wire.endTransmission();                   // формируем I2C-Stop.
}  

